#!/bin/sh
# $Id$
# $URL$

# fixme: check svn
# fixme: check python

BINSVNPATH=http://lys.is/svn/userconfig/trunk/python
COBINDIR=~/.tmp/userconfig
CONFSVNPATH=svn+ssh://lys.is/SVN/userconfig/trunk
COCONFDIR=~/.userconfig

if [ -d "${COBINDIR}" ]; then
  url=$(svn info "${COBINDIR}" 2>/dev/null | grep ^URL)
  if [ "$url" = "URL: ${BINSVNPATH}" ]; then
    svn update "${COBINDIR}"
  else
    count=1
    while [ -d "${COBINDIR}-${count}" ]; do
      count=$(($count+1))
    done
    mv "${COBINDIR}" "${COBINDIR}-${count}" || exit 1
  fi
fi

svn checkout "${BINSVNPATH}" "${COBINDIR}" || exit 1
cd "${COBINDIR}" || exit 1
./setup.py install

if [ -d "$COCONFDIR" ]; then
  url=$(svn info "$COCONFDIR" 2>/dev/null | grep ^URL)
  if [ "$url" = "URL: ${CONFSVNPATH}" ]; then
    svn update ${COCONFDIR}
  else
    count=1
    while [ -d "${COCONFDIR}-${count}" ]; do
      count=$(($count+1))
    done
    mv "${COCONFDIR}" "${COCONFDIR}-${count}" || exit 1
  fi
fi

svn checkout "${CONFSVNPATH}" "${COCONFDIR}" || exit 1

exit 0
